from CyXTraX.io import record_atlas
from CyXTraX.simulation import CylindricalProjection, load_mesh
from CyXTraX.data import olaf_mesh
from pathlib import Path


# Just get the temp folder to store the atlas
FOLDER = Path(__file__)
TEMP_FOLDER = FOLDER.parent.parent / 'temp'


def main():
    # code_embedder:A start
    # Create the cylindrical projection interface
    cyl_proj = CylindricalProjection()
    load_mesh(cyl_proj, [olaf_mesh])
    # make an atlas
    
    save_path = record_atlas(cyl_proj, [olaf_mesh], 'test', TEMP_FOLDER, 
                            map_bounding_box=[-10, 20], number_of_maps=2)
    # code_embedder:A end
    print(f'Atlas saved to the path: {save_path}')
    
    

if __name__ == '__main__':
    main()