import importlib.resources
import numpy as np
from ..common import MeshObject


with importlib.resources.path("CyXTraX.data", "olaf_6.stl") as file_path:
    olaf_stl = file_path
    olaf_mesh = MeshObject(
        olaf_stl,
        position_mm=np.array([1, 2, 3]),
        orientation_quat=np.array([0.0, 0.0, 0.0, 1.0]),
    )

with importlib.resources.path("CyXTraX.data", "scones.stl") as file_path:
    scones_stl = file_path
    scones_mesh = MeshObject(
        scones_stl,
        position_mm=np.array([0, 0, 0]),
        orientation_quat=np.array([0.0, 0.0, 0.0, 1.0]),
    )
